org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPEnumeration

All Superinterfaces:
  Cloneable, IBinding, ICPPBinding, IEnumeration, IType

All Known Subinterfaces:
  ICPPEnumerationSpecialization

    public interface ICPPEnumeration
    extends IEnumeration, ICPPBinding

C++ specific version of enumerations.

Since:
  5.2

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPScope` `asScope()` Returns the scope containing the enumerators.
`IType` `getFixedType()` Returns the underlying type of the enumeration if it is fixed, or `null` otherwise.
`boolean` `isScoped()` Returns whether this enumeration is scoped.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IEnumeration

`getEnumerators, getMaxValue, getMinValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### isScoped

    boolean isScoped()

Returns whether this enumeration is scoped. An enumeration can only be scoped in C++.

#### getFixedType

    IType getFixedType()

Returns the underlying type of the enumeration if it is fixed, or `null` otherwise. The underlying type can only be fixed in C++.

#### asScope

    ICPPScope asScope()

Returns the scope containing the enumerators. By the standard the scope is only defined for scoped enums, however it will be returned for any enum. In case the enum has no definition (just opaque declarations) an empty scope will be returned.